com.r3corda.node.services.messaging / RPCOps

# RPCOps

`interface RPCOps`

Base interface that all RPC servers must implement. Note: in Corda theres only one RPC interface. This base interface is here in case we split the RPC system out into a separate library one day.

### Properties

protocolVersion | `abstract val protocolVersion: Int` Returns the RPC protocol version. Exists since version 0 so guaranteed to be present.

### Inheritors

CordaRPCOps | `interface CordaRPCOps : RPCOps` RPC operations that the node exposes to clients using the Java client library. These can be called from client apps and are implemented by the node in the ServerRPCOps class.